@echo off
rem ORACLE CLIENT CONFIGURATION
set ORACLE_BASE=c:\oracle\121
set ORACLE_HOME=%ORACLE_BASE%\product\12.1.0\client_1

rem ORACLE SERVER CONFIGURATION
set ORACLE_SERVER=[ORACLE_SERVER_TNS_NAME]


rem FIXED CONFIGURATION
set UPGRADE_SCRIPT=%CD%

cd %UPGRADE_SCRIPT%\AccessGovernanceCoreBackend
%ORACLE_HOME%\bin\sqlplus iga_admin/ideas@%ORACLE_SERVER% @agc_pre_req_upgrade_74_to_75.sql
%ORACLE_HOME%\bin\sqlplus iga_core/ideas@%ORACLE_SERVER% @agc_pre_req_upgrade_74_to_75.sql
%ORACLE_HOME%\bin\sqlplus ccs_core/ideas@%ORACLE_SERVER% @arc4s_pre_req_upgrade_74_to_75.sql

cd %UPGRADE_SCRIPT%\Localization
%ORACLE_HOME%\bin\sqlplus iga_admin/ideas@%ORACLE_SERVER% @agc_localization_upgrade_10_to_11.sql
%ORACLE_HOME%\bin\sqlplus iga_core/ideas@%ORACLE_SERVER% @agc_localization_upgrade_10_to_11.sql
%ORACLE_HOME%\bin\sqlplus ccs_core/ideas@%ORACLE_SERVER% @arc4s_localization_upgrade_10_to_11.sql

cd %UPGRADE_SCRIPT%\AccessGovernanceCoreBackend
%ORACLE_HOME%\bin\sqlplus iga_admin/ideas@%ORACLE_SERVER% @agc_upgrade_74_to_75.sql
%ORACLE_HOME%\bin\sqlplus iga_core/ideas@%ORACLE_SERVER% @agc_upgrade_74_to_75.sql
%ORACLE_HOME%\bin\sqlplus ccs_core/ideas@%ORACLE_SERVER% @arc4s_upgrade_74_to_75.sql

cd %UPGRADE_SCRIPT%\AccessRequestsBackend
%ORACLE_HOME%\bin\sqlplus iga_admin/ideas@%ORACLE_SERVER% @arm_upgrade_14_to_15.sql
%ORACLE_HOME%\bin\sqlplus iga_core/ideas@%ORACLE_SERVER% @arm_upgrade_14_to_15.sql

cd %UPGRADE_SCRIPT%\AccessOptimizerBackend
%ORACLE_HOME%\bin\sqlplus aa_admin/ideas@%ORACLE_SERVER% @aa_upgrade_54_to_55.sql
%ORACLE_HOME%\bin\sqlplus aa_core/ideas@%ORACLE_SERVER% @aa_upgrade_54_to_55.sql

cd %UPGRADE_SCRIPT%\AccessRiskControlsForSAPBackend
%ORACLE_HOME%\bin\sqlplus ccs_core/ideas@%ORACLE_SERVER% @arc4s_upgrade_44_to_45.sql

cd %UPGRADE_SCRIPT%\DeskBackend
%ORACLE_HOME%\bin\sqlplus iga_service/ideas@%ORACLE_SERVER% @desk_upgrade_24_to_25.sql

cd %UPGRADE_SCRIPT%\EmailBackend
%ORACLE_HOME%\bin\sqlplus iga_admin/ideas@%ORACLE_SERVER% @es_upgrade_24_to_25.sql
%ORACLE_HOME%\bin\sqlplus iga_core/ideas@%ORACLE_SERVER% @es_upgrade_24_to_25.sql

cd %UPGRADE_SCRIPT%\EnterpriseConnectorsBackend
%ORACLE_HOME%\bin\sqlplus iga_admin/ideas@%ORACLE_SERVER% @ec_upgrade_34_to_35.sql
%ORACLE_HOME%\bin\sqlplus iga_core/ideas@%ORACLE_SERVER% @ec_upgrade_34_to_35.sql

cd %UPGRADE_SCRIPT%\JobBackend
%ORACLE_HOME%\bin\sqlplus aa_admin/ideas@%ORACLE_SERVER% @job_upgrade_24_to_25_on_AA.sql
%ORACLE_HOME%\bin\sqlplus aa_core/ideas@%ORACLE_SERVER% @job_upgrade_24_to_25_on_AA.sql
%ORACLE_HOME%\bin\sqlplus iga_admin/ideas@%ORACLE_SERVER% @job_upgrade_24_to_25_on_AGC.sql
%ORACLE_HOME%\bin\sqlplus iga_core/ideas@%ORACLE_SERVER% @job_upgrade_24_to_25_on_AGC.sql
%ORACLE_HOME%\bin\sqlplus ccs_core/ideas@%ORACLE_SERVER% @job_upgrade_24_to_25_on_ARC4S.sql
%ORACLE_HOME%\bin\sqlplus iga_report_admin/ideas@%ORACLE_SERVER% @job_upgrade_24_to_25_on_REPORT.sql
%ORACLE_HOME%\bin\sqlplus iga_report_core/ideas@%ORACLE_SERVER% @job_upgrade_24_to_25_on_REPORT.sql

cd %UPGRADE_SCRIPT%\ReportBackend
%ORACLE_HOME%\bin\sqlplus iga_report_admin/ideas@%ORACLE_SERVER% @rd_upgrade_24_to_25.sql
%ORACLE_HOME%\bin\sqlplus iga_report_core/ideas@%ORACLE_SERVER% @rd_upgrade_24_to_25.sql

cd %UPGRADE_SCRIPT%\RuleEngineBackend
%ORACLE_HOME%\bin\sqlplus iga_admin/ideas@%ORACLE_SERVER% @re_upgrade_24_to_25.sql
%ORACLE_HOME%\bin\sqlplus iga_core/ideas@%ORACLE_SERVER% @re_upgrade_24_to_25.sql
%ORACLE_HOME%\bin\sqlplus ccs_core/ideas@%ORACLE_SERVER% @re_upgrade_24_to_25.sql

cd %UPGRADE_SCRIPT%\TaskPlannerBackend
%ORACLE_HOME%\bin\sqlplus iga_quartz/ideas@%ORACLE_SERVER% @quartz_upgrade.sql
%ORACLE_HOME%\bin\sqlplus iga_service/ideas@%ORACLE_SERVER% @sk_upgrade_24_to_25.sql

cd %UPGRADE_SCRIPT%\AuditHelper
%ORACLE_HOME%\bin\sqlplus iga_service/ideas@%ORACLE_SERVER% @account_upgrade_34_to_35.sql

cd %UPGRADE_SCRIPT%\SIB_IB_ILC
%ORACLE_HOME%\bin\sqlplus itimuser/ideas@%ORACLE_SERVER% @IB_ILC_upgrade.sql
%ORACLE_HOME%\bin\sqlplus itiml000/ideas@%ORACLE_SERVER% @SIB_upgrade.sql

cd %UPGRADE_SCRIPT%\AccessGovernanceCoreBackend
%ORACLE_HOME%\bin\sqlplus iga_admin/ideas@%ORACLE_SERVER% @report_assignment.sql
%ORACLE_HOME%\bin\sqlplus iga_core/ideas@%ORACLE_SERVER% @report_assignment.sql

cd %UPGRADE_SCRIPT%\ReportBackend
%ORACLE_HOME%\bin\sqlplus iga_report_admin/ideas@%ORACLE_SERVER% @revoke_from_agc.sql
%ORACLE_HOME%\bin\sqlplus iga_report_core/ideas@%ORACLE_SERVER% @revoke_from_agc.sql

cd %UPGRADE_SCRIPT%\IdeasModule
%ORACLE_HOME%\bin\sqlplus aa_admin/ideas@%ORACLE_SERVER% @ideas_module_upgrade.sql
%ORACLE_HOME%\bin\sqlplus aa_core/ideas@%ORACLE_SERVER% @ideas_module_upgrade.sql
%ORACLE_HOME%\bin\sqlplus iga_admin/ideas@%ORACLE_SERVER% @ideas_module_upgrade.sql
%ORACLE_HOME%\bin\sqlplus iga_core/ideas@%ORACLE_SERVER% @ideas_module_upgrade.sql
%ORACLE_HOME%\bin\sqlplus ccs_core/ideas@%ORACLE_SERVER% @ideas_module_upgrade.sql
%ORACLE_HOME%\bin\sqlplus iga_report_admin/ideas@%ORACLE_SERVER% @ideas_module_upgrade.sql
%ORACLE_HOME%\bin\sqlplus iga_report_core/ideas@%ORACLE_SERVER% @ideas_module_upgrade.sql

cd %UPGRADE_SCRIPT%
